//
//  BlockedCallList.h
//
//  Allows query access to a blocked call list, which auto-updates when
//  the file containing the list of calls is changed.
//
//  Matt Roberts, KK5JY, 2021-05-04.
//

#ifndef __BLOCKED_CALL_LIST_H
#define __BLOCKED_CALL_LIST_H

#include <list>
#include <QString>
#include <QDateTime>

class BlockedCallList {
	private:
		std::list<QString> _blocked;
		QString _theFile;
		QDateTime _lastMod;

	public:
		BlockedCallList(QString path);

		bool isBlocked(QString call);
	
	private:
		bool update();
};

#endif
